#ifndef DELAUNAYTRIANGULATE_H
#define DELAUNAYTRIANGULATE_H



#include <sys/types.h>
#include <stdlib.h>
#include <stdio.h>

#include <string.h>

#include <d3dx9.h>  // D3DXVECTOR2(..)

#ifndef DBG_ASSERT
#include "dxdebug.h" // DBG_ASSERT(..)
#endif


/******************************************************************************/


int TriangulatePolygon(const int numContours,				// in
					   const int*numPntsInEachContour,		// in
					   const D3DXVECTOR2* inVerts,			// in
					   const int maxOutTris,				// in
					   int*  numTris,						// out
					   int*  triIndices);					// out





/******************************************************************************/

#endif //DELAUNAYTRIANGULATE_H




